import sys
from django.core.management.base import BaseCommand, CommandError
from optparse import make_option
from datetime import datetime

class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option('-c', '--common_name', dest='common-name',
            help="The Certificate's common name."),
    )
    help = "Save a close connection for the user."

    # Validation is called explicitly each time the server is reloaded.
    requires_model_validation = False

    def handle(self, *args, **options):
        from openvpn.models import Certificate, Connection

        cn = options.get('common-name',None)

        if cn:
            cert = Certificate.objects.get(cn=cn)
            # Cerco tutte le connessioni fatte dal common_name,
            # prendo quella che non ha la data di stop e la inserisco
            #
            conn = Connection.objects.filter(certificate__id=cert.id, stop_date__isnull=True)

            for c in conn:
                c.stop_date = datetime.now()
                c.save()
