#! /usr/bin/python
import sys
from django.core.management.base import BaseCommand, CommandError
from optparse import make_option

class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option('-c', '--common_name', dest='common-name',
            help="The Certificate's common name."),
        make_option('-u', '--username', dest='username',
            help='Specifies the username.'),
        make_option('-p', '--password', dest='password',
            help='Specifies the password.'),
    )
    help = "Check the user credentials."

    # Validation is called explicitly each time the server is reloaded.
    requires_model_validation = False

    def handle(self, *args, **options):
        from openvpn.models import Certificate

        cn = options.get('common-name',None)
        username = options.get('username', None)
        pwd = options.get('password', None)

        if not cn or not username or not pwd:
            print "Tutti i campi sono obbligatori"
            sys.exit(1)

        # Controllo che il nome del certificato sia uguale al nome utente
        if cn != username:
            print "Common name diverso dal nome utente"
            sys.exit(1)

        # Controllo la password inserita
        try:
            c = Certificate.objects.get(cn=username, status=1)
            if not c.user.check_password(pwd):
                print "Password Errata"
                sys.exit(1)
        except Exception, e:
            print "Certificato non trovato"
            sys.exit(1)
        print "ok"