# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding model 'Key'
        db.create_table('openvpn_key', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='openvpn_key_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='openvpn_key_last_modifier', null=True, to=orm['auth.User'])),
            ('user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'], null=True, blank=True)),
            ('identity', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
            ('path_pub', self.gf('django.db.models.fields.FilePathField')(path='/etc/openvpn/keys', max_length=100)),
            ('path_priv', self.gf('django.db.models.fields.FilePathField')(path='/etc/openvpn/keys', max_length=100)),
        ))
        db.send_create_signal('openvpn', ['Key'])

        # Adding model 'Certificate'
        db.create_table('openvpn_certificate', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='openvpn_certificate_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='openvpn_certificate_last_modifier', null=True, to=orm['auth.User'])),
            ('user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['auth.User'], null=True, blank=True)),
            ('group', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['openvpn.FwGroup'], null=True, blank=True)),
            ('start_date', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('stop_date', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('description', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('email', self.gf('django.db.models.fields.EmailField')(max_length=30, null=True, blank=True)),
            ('cn', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('csr', self.gf('django.db.models.fields.FilePathField')(max_length=100, path='/etc/openvpn/keys/crt', null=True, blank=True)),
        ))
        db.send_create_signal('openvpn', ['Certificate'])

        # Adding model 'Connection'
        db.create_table('openvpn_connection', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('certificate', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['openvpn.Certificate'])),
            ('start_date', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('stop_date', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ip_client', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
        ))
        db.send_create_signal('openvpn', ['Connection'])

        # Adding model 'FwRule'
        db.create_table('openvpn_fwrule', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='openvpn_fwrule_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='openvpn_fwrule_last_modifier', null=True, to=orm['auth.User'])),
            ('ip_src', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
            ('ip_dest', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
            ('port_dest', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('proto', self.gf('django.db.models.fields.CharField')(max_length=3, null=True, blank=True)),
            ('rules', self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True)),
            ('action', self.gf('django.db.models.fields.CharField')(max_length=2)),
            ('table', self.gf('django.db.models.fields.CharField')(max_length=1)),
            ('chain', self.gf('django.db.models.fields.CharField')(max_length=2)),
            ('order', self.gf('django.db.models.fields.IntegerField')()),
        ))
        db.send_create_signal('openvpn', ['FwRule'])

        # Adding M2M table for field groups on 'FwRule'
        db.create_table('openvpn_fwrule_groups', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('fwrule', models.ForeignKey(orm['openvpn.fwrule'], null=False)),
            ('fwgroup', models.ForeignKey(orm['openvpn.fwgroup'], null=False))
        ))
        db.create_unique('openvpn_fwrule_groups', ['fwrule_id', 'fwgroup_id'])

        # Adding model 'FwGroup'
        db.create_table('openvpn_fwgroup', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('jumbo.db.fields.StatusField')()),
            ('creator', self.gf('django.db.models.ForeignKey')(blank=True, related_name='openvpn_fwgroup_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.ForeignKey')(blank=True, related_name='openvpn_fwgroup_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
        ))
        db.send_create_signal('openvpn', ['FwGroup'])


    def backwards(self, orm):
        
        # Deleting model 'Key'
        db.delete_table('openvpn_key')

        # Deleting model 'Certificate'
        db.delete_table('openvpn_certificate')

        # Deleting model 'Connection'
        db.delete_table('openvpn_connection')

        # Deleting model 'FwRule'
        db.delete_table('openvpn_fwrule')

        # Removing M2M table for field groups on 'FwRule'
        db.delete_table('openvpn_fwrule_groups')

        # Deleting model 'FwGroup'
        db.delete_table('openvpn_fwgroup')


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'openvpn.certificate': {
            'Meta': {'object_name': 'Certificate'},
            'cn': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'openvpn_certificate_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'csr': ('django.db.models.fields.FilePathField', [], {'max_length': '100', 'path': "'/etc/openvpn/keys/crt'", 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['openvpn.FwGroup']", 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'openvpn_certificate_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'start_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'stop_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'})
        },
        'openvpn.connection': {
            'Meta': {'object_name': 'Connection'},
            'certificate': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['openvpn.Certificate']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ip_client': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'start_date': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'stop_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'})
        },
        'openvpn.fwgroup': {
            'Meta': {'object_name': 'FwGroup'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'openvpn_fwgroup_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'openvpn_fwgroup_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'status': ('jumbo.db.fields.StatusField', [], {})
        },
        'openvpn.fwrule': {
            'Meta': {'object_name': 'FwRule'},
            'action': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'chain': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'openvpn_fwrule_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'rules'", 'symmetrical': 'False', 'to': "orm['openvpn.FwGroup']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ip_dest': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'ip_src': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'openvpn_fwrule_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'order': ('django.db.models.fields.IntegerField', [], {}),
            'port_dest': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'proto': ('django.db.models.fields.CharField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'rules': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'table': ('django.db.models.fields.CharField', [], {'max_length': '1'})
        },
        'openvpn.key': {
            'Meta': {'object_name': 'Key'},
            'creator': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'openvpn_key_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'identity': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.ForeignKey', [], {'blank': 'True', 'related_name': "'openvpn_key_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'path_priv': ('django.db.models.fields.FilePathField', [], {'path': "'/etc/openvpn/keys'", 'max_length': '100'}),
            'path_pub': ('django.db.models.fields.FilePathField', [], {'path': "'/etc/openvpn/keys'", 'max_length': '100'}),
            'status': ('jumbo.db.fields.StatusField', [], {}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']", 'null': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['openvpn']
