# -*- coding: utf-8 -*-
from django.utils import simplejson
from django.http import HttpResponse, HttpResponseForbidden, HttpResponseNotFound
from django.shortcuts import render_to_response
from django.conf import settings
from datetime import timedelta
import os.path, commands
import mimetypes
from django.db import transaction
from django.contrib.auth.decorators import login_required
from openvpn.models import Certificate
from jumbo.utils.functions import get_settings

@login_required
#@transaction.commit_manually
#def delete_ajax_object(request, model, object_id):
#    msg = ""
#
#    try:
#        if model == 'utenti':
#            q_user = Utenti.objects.get(pk=object_id)
#            q_cert = Certificate.objects.filter(user=q_user)
#            if q_cert:
#                msg = "Attenzione! L'utente ha un certificato associato. Se si vuole eliminare l'utente bisogna prima effettuare la cancellazione del relativo certificato."
#            else:
#                q_user.delete()
#                msg = "OK"
#                
#        if model == 'certificate':
#            q_cert = Certificate.objects.get(pk=object_id)
#            q_cert.delete_connections()
#            q_cert.delete_certificate_file()
#            q_cert.delete()
#            msg = "OK"
#    except:
#        transaction.rollback()
#        raise Exception(e)
#    else:
#        transaction.commit()
#        return HttpResponse(msg)
#    return HttpResponse(msg)
    
def get_status_openvpn():
    piddir="/var/run/openvpn.server-tcp.status"
    stato = "SPENTO"
    if os.path.exists(piddir):
        stato="ACCESO"
    return stato

@login_required
def onoff_openvpn(request):
    stato = get_status_openvpn()
    if stato == "ACCESO":
        status, output = commands.getstatusoutput("sudo /etc/init.d/openvpn stop")
    else:
        status, output = commands.getstatusoutput("sudo /etc/init.d/openvpn start")
    return HttpResponse("OK")

@login_required
def restart_openvpn(request):
    status, output = commands.getstatusoutput("sudo /etc/init.d/openvpn restart")
    return HttpResponse("OK")

@login_required
def download_certificate(request, object_id):
    TAR_PATH = get_settings('openvpn.settings', 'TAR_PATH')
    EXT_CERT = get_settings('openvpn.settings', 'EXT_CERT')

    try:
        c = Certificate.objects.get(pk=object_id)
    except:
        return HttpResponse('<h1>Certificate not found</h1>')

    if request.user.is_staff:
        cert_name = "%s.%s" % (c.user.username, EXT_CERT)
        f_path = os.path.join(TAR_PATH, cert_name)

        if os.path.exists(f_path):
            a = open(f_path)
            mt = mimetypes.guess_type(f_path)[0]
            response = HttpResponse(a, mimetype='application/%s' % mt)
            response['Content-Disposition'] = 'attachment; filename=%s' % cert_name
            return response
        else:
            return HttpResponse('<h1>Certificate not found</h1>')
    else:
        return HttpResponse("<h1>Access Denied</h1>")
